package com.bjlt.spider.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: Scott
 * @Description: 城市代码和机场代码转换实体类
 * @Date: Create in 11:56 2017/10/14
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AirLineExchangeVo extends Page implements Serializable{

    private static final long serialVersionUID = -1765692636428444234L;

    private Integer id;

    /**
     * 数据源 ID
     */
    private Integer sourceId;

    /**
     * 城市代码
     */
    private String cityCode;

    /**
     *  机场代码
     */
    private String airplaineCode;



    /**
     * 编辑人
     */
    private String editUser;

    /**
     * 更新时间 精确到秒
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date addTime;

    private Integer status;

}
