package com.bjlt.spider.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: Scott
 * @Description: 航司和 对应的航线列表 航线配置
 * @Date: Create in 17:38 2017/10/13
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AirSourceLineVo extends Page implements Serializable{


    private static final long serialVersionUID = -1991538360228850847L;
    /**
     * id
     */
    private Integer id;

    /**
     * 航司ID
     */
    private String airSourceID;

    /**
     * 出发城市三字码代码
     */
    private String fromCity;

    /**
     * 抵达城市三字码代码
     */
    private String toCity;

    /**
     * 出发城市中文名
     */
    private String fromCityZh;

    /**
     * 抵达城市中文名
     */
    private String toCityZh;

    /**
     * 出发国家
     */
    private String fromCountry;


    /**
     * 状态 0 下线 1 上线
     */
    private Integer status;

    /**
     * 乘客数量
     */
    private Integer passengerCount;



    /**
     * 编辑人
     */
    private String editUser;

    /**
     * 更新时间 精确到秒
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date addTime;

    /**
     * 成人数量
     */
    private Integer adultNum;
    /**
     * 儿童数量
     */
    private Integer childNum;

    /**
     * 1：单程；
     2：往返；
     3：多程;
     */
    private Integer tripType;
    //TODO 待确认

}
