package com.bjlt.spider.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: Scott
 * @Description:  平台和航司对应
 * @Date: Create in 19:19 2017/10/16
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PlatformSourceVo  extends Page implements Serializable {


    private static final long serialVersionUID = -5550076048034646526L;

    private Integer id;
    /**
     * 平台 CID
     */
    private String cid;


    /**
     * 默认人数
     */
    private Integer passengerCount;


    /**
     * 数据源 ID
     */
    private String sourceGroupId;
    /**
     * 编辑人
     */
    private String editUser;

    /**
     * 更新时间 精确到秒
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date addTime;
    /**
     * 状态
     */
    private Integer status;

}
