package com.bjlt.spider.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @Author: Scott
 * @Description: 去哪儿 或者 飞猪 请求我们的接口参数 第二道
 * @Date: Create in 09:45 2017/10/13
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SearchRequestAfterOta implements Serializable, Cloneable {

    private static final long serialVersionUID = -8383845837426832307L;

    /**
     * 来源标识
     */
    private String cid;

    /**`
     * 航司
     */

    private Set<Integer> sourceSet;

    /**
     * 去程时间
     */
    private String fromDate;

    /**
     * 返程时间
     */
    private String retDate;

    /**
     * 出发城市三字码代码
     */
    private String fromCity;

    /**
     * 出发城市机场代码
     */
    private Set<AirLineExchangeVo> fromCityCodes;

    /**
     * 到达城市机场代码
     */
    private Set<AirLineExchangeVo> toCityCodes;

    /**
     * <数据源 ID，<出发机场代码，到达机场代码>>
     */
    private List<Map<String,String>> lines;
    /**
     * List<AirSourceLineVo>
     */

    private List<AirSourceLineVo> airSourceLines;
    /**
     * 抵达城市三字码代码
     */
    private String toCity;

    /**
     * 航程类型 单程 往返 或者多程 用枚举控制
     */

    private String tripType;

    /**
     * 请求时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date requestTime;

    /**
     * 成人数量
     */
    private Integer adultNum;

    /**
     * 儿童数量
     */
    private Integer childNum;

    @Override
    public SearchRequestAfterOta clone() throws CloneNotSupportedException {
        SearchRequestAfterOta ota = null;


        try {
            ota = (SearchRequestAfterOta) super.clone();
        }catch(CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return ota;
    }
}
