package com.bjlt.spider.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 20:28 2017/10/12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TimeControConfigVo  extends Page implements Serializable{

    private static final long serialVersionUID = 6393553631704411296L;

    /**
     * 配置 ID
     */
    private Integer timecontroId;

    /**
     * 平台 ID
     */
    private Integer platFormId;

    /**
     * 平台服务开始时间 时分秒 用 00：00:00 补位
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date saleDateStart;

    /**
     * 平台服务结束时间 时分秒用 00：00：00 补位
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date saleDateEnd;


    /**
     * 每日开始时间 精确到秒
     */
    private String dayTimeStart;

    /**
     * 每日结束时间 精确到秒
     */
    private String dayTimeEnd;

    /**
     * 编辑人
     */
    private String editUser;

    /**
     * 更新时间 精确到秒
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date addTime;

    private    Integer status;

}
